org.gcube.datacatalogue.grsf_manage_widget.shared

## Class ManageProductBean

- java.lang.Object
- - org.gcube.datacatalogue.grsf_manage_widget.shared.ManageProductBean

All Implemented Interfaces:
  Serializable

    public class ManageProductBean
    extends Object
    implements Serializable

The bean to be managed by some people (e.g., GRSF).

Author:
  Costantino Perciante at ISTI-CNR (costantino.perciante@isti.cnr.it)
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ManageProductBean()`
`ManageProductBean(String productName, String catalogueIdentifier, String knowledgeBaseIdentifier, GRSFStatus currentStatus, GRSFStatus newStatus, String annotation, String productType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAnnotation()`
`String` `getCatalogueIdentifier()`
`GRSFStatus` `getCurrentStatus()`
`String` `getKnowledgeBaseIdentifier()`
`GRSFStatus` `getNewStatus()`
`String` `getProductName()`
`String` `getProductType()`
`void` `setAnnotation(String annotation)`
`void` `setCatalogueIdentifier(String catalogueIdentifier)`
`void` `setCurrentStatus(GRSFStatus currentStatus)`
`void` `setKnowledgeBaseIdentifier(String knowledgeBaseIdentifier)`
`void` `setNewStatus(GRSFStatus newStatus)`
`void` `setProductName(String productName)`
`void` `setProductType(String productType)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ManageProductBean

    public ManageProductBean()

#### ManageProductBean

    public ManageProductBean(String productName,
                             String catalogueIdentifier,
                             String knowledgeBaseIdentifier,
                             GRSFStatus currentStatus,
                             GRSFStatus newStatus,
                             String annotation,
                             String productType)

Parameters:
  `productName` -
  `catalogueIdentifier` -
  `knowledgeBaseIdentifier` -
  `statusOld` -
  `newStatus` -
  `annotation` -

### Method Detail

#### getCatalogueIdentifier

    public String getCatalogueIdentifier()

#### setCatalogueIdentifier

    public void setCatalogueIdentifier(String catalogueIdentifier)

#### getKnowledgeBaseIdentifier

    public String getKnowledgeBaseIdentifier()

#### setKnowledgeBaseIdentifier

    public void setKnowledgeBaseIdentifier(String knowledgeBaseIdentifier)

#### getCurrentStatus

    public GRSFStatus getCurrentStatus()

#### setCurrentStatus

    public void setCurrentStatus(GRSFStatus currentStatus)

#### getNewStatus

    public GRSFStatus getNewStatus()

#### setNewStatus

    public void setNewStatus(GRSFStatus newStatus)

#### getAnnotation

    public String getAnnotation()

#### setAnnotation

    public void setAnnotation(String annotation)

#### getProductName

    public String getProductName()

#### setProductName

    public void setProductName(String productName)

#### getProductType

    public String getProductType()

#### setProductType

    public void setProductType(String productType)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`